/***************************************************************************
                          usb.c  -  firmware
	reads status of all 8 PORTA bits and arms bulk endpoint 1 for transmission
	of this byte.  loops so that a byte is always available.
																	
                             -------------------
    begin                : Sat Dec 16 2000
    copyright            : (C) 2000 by William Rachelson
    email                : gurufool@cc.gatech.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#define FALSE 0
#define TRUE  1
#define LOW   0
#define HIGH  1

#include "ser_debug.h"


void wait(void);


void main(void)
{
	volatile char byte;
	volatile char test;
	int i=0;

	init_ser();
	ser_printString("START");

	/* setup port A for input */
	PORTACFG	= 0;		//general purpose I/O mode
	OEA				= 0;		//configure as inputs
	//we may now read PINSA

	IN07IEN = 0;			//disable usb interrupts

	while(1)
	{
		ser_printString("READING PORT");
		byte = PINSA;			//read portA (8bits)

		IN2BUF[0] = byte;	//load usb output buffer
		IN2BC = 1;			//usb armed. fire when ready.

		test = IN2CS;
		while((test & 0x2) == 0x2)
		{
			test = IN2CS;	//do nothing
		}
		ser_printString("SENT BYTE");
		wait();
		ser_printString("HELLO");

	}

}


void wait(void)
{
	int i;
	int j;

	for(i=0;i<20;i++)
	{
		for(j=0;i<10000;i++);
	}
}